Skip to Content

Revoke a WhatsApp setup link

Stops a pending link from connecting a number. A link that already connected one, was revoked, or expired answers 410.

POST
/v1/whatsapp/setup-links/{linkId}/revoke

Stops a pending link from connecting a number. A link that already connected one, was revoked, or expired answers 410.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

linkId*string
Match^wasl_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

WhatsAppSetupLink

application/json
  1. response
id*WhatsAppSetupLinkId
Match^wasl_[0-9a-hjkmnp-tv-z]{16,24}$
organizationId*OrganizationId
Match^org_[0-9a-hjkmnp-tv-z]{16,24}$
namespaceId*NamespaceId
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$
status*WhatsAppSetupLinkStatus
Value in"pending""completed""revoked""expired"
redirectUrl*string|null
metadata*
expiresAt*string
businessAccountId*|null
completedAt*string|null
revokedAt*string|null
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsappSetupLinks.revoke({
  "linkId": "example"
});
Example Response
{
  "id": "string",
  "organizationId": "string",
  "namespaceId": "string",
  "status": "pending",
  "redirectUrl": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "expiresAt": "string",
  "businessAccountId": "string",
  "completedAt": "string",
  "revokedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation